The [Progressbar]() control provides a customizable visual to indicate the progress of a task. The Syncfusion.SfProgressBar package supports Linear ProgressBar (SfLinearProgressBar) , Circular ProgressBar (SfCircularProgressBar) and StepProgressBar ( SfStepProgressBar).

## List of Controls:

* [ProgressBar](https://www.syncfusion.com/wpf-controls/progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)
* [StepProgressBar](https://www.syncfusion.com/wpf-controls/step-progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)


## ProgressBar

The WPF Circular and Linear ProgressBar are controls that indicates the progress of a task with customizable visuals. It includes features to visualize progress in rectangular and circular shapes, determinate and indeterminate states, segments, and customized ranges in different colors.

### Key features

* Visualizes the progress in different shapes, such as rectangle and circle.
* Determinate shows a specific amount of progress and indeterminate shows redundant animations of progress.
* Customize ranges with different colors inside the progress bar.
* Visualizes the progress in segments.
* Displays the custom content at the center of the circular progress bar.
* Customizes the angle of the circular progress bar.	

## StepProgressBar

The WPF StepProgressBar control is used to show the progress of a multiple-step process, such as new user registration or package status tracking. You can customize its appearance by changing the step shape, progress bar color, step template, and content template.

### Key features

* Visualize step progress markers with different shapes, such as square and circle.
* Customize the step marker template for different statuses and each step.
* Customize the progress bar styles and statuses (e.g., Active, Indeterminate, Inactive) for steps.

## Related links
[Learn More about WPF UI Controls](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

[Documentation](https://help.syncfusion.com/wpf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

[Release History](https://help.syncfusion.com/wpf/release-notes/v19.4.0.53?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

[Online Demos](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

[Pricing](https://www.syncfusion.com/sales/products/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20ProgressBar%20WPF-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | Toll Free: 1-888-9 DOTNET


